<?xml version="1.0" encoding="UTF-8"?>
<problem 
    version="1.0"
    id ="roi.day2.army"
>
    <judging>
        <script type ="%ioi">
            <testset
                name ="preliminary"

                input-name  ="army.in"
                output-name ="army.out"
                input-href  ="preliminary/##"
                answer-href ="preliminary/##.a"

                time-limit ="1s"
                memory-limit ="268435456"
            >
                <test points ="0" comment="Тест из примера"/>
                <test points ="0" comment="Тест из примера"/>
                <test points ="0" comment="Тест из примера"/>
            </testset>

            <testset
                name ="main"

                input-name  ="army.in"
                output-name ="army.out"
                input-href  ="tests/##"
                answer-href ="tests/##.a"

                time-limit ="1s"
                memory-limit ="268435456"
            >

<test-group
   comment = "Подзадача 1. 1 &lt;= n &lt;= 8"
   score = "group"
   feedback = "outcome"
   group-bonus = "40"
>
<test points = "0" comment = "Ручной тест, n = 1, k = 1" />
<test points = "0" comment = "Ручной тест, n = 2, k = 1" />
<test points = "0" comment = "Ручной тест, n = 3, k = 1" />
<test points = "0" comment = "Ручной тест, n = 3, k = 1" />
<test points = "0" comment = "Ручной тест, n = 3, k = 1" />
<test points = "0" comment = "Ручной тест, n = 3, k = 2" />
<test points = "0" comment = "Ручной тест, n = 3, k = 2" />
<test points = "0" comment = "Ручной тест, n = 3, k = 3" />
<test points = "0" comment = "Случайный тест, n = 8, k = 3" />
<test points = "0" comment = "Случайный тест, n = 8, k = 2" />
<test points = "0" comment = "Случайный тест, n = 8, k = 3" />
<test points = "0" comment = "Случайный тест, n = 8, k = 4" />
<test points = "0" comment = "Случайный тест, n = 8, k = 5" />
<test points = "0" comment = "Случайный тест, n = 8, k = 6" />
<test points = "0" comment = "Случайный тест, n = 8, k = 7" />
<test points = "0" comment = "Максимальный тест, n = 8, k = 3" />
<test points = "0" comment = "Тест, в котором задана вся перестановка, n = 8, k = 8" />
<test points = "0" comment = "Тест, в котором задано одно число, n = 8, k = 1" />
 </test-group>
<test-group
   comment = "Подзадача 2. 9 &lt;= n &lt;= 10"
   score = "group"
   feedback = "outcome"
   group-bonus = "10"
>
<test points = "0" comment = "Максимальный тест, n = 10, k = 3" />
<test points = "0" comment = "Тест, в котором задана вся перестановка, n = 10, k = 10" />
<test points = "0" comment = "Случайный тест, n = 10, k = 3" />
<test points = "0" comment = "Случайный тест, n = 10, k = 4" />
<test points = "0" comment = "Случайный тест, n = 10, k = 5" />
<test points = "0" comment = "Случайный тест, n = 10, k = 8" />
 </test-group>
<test-group
   comment = "Подзадача 3. n = 11"
   score = "group"
   feedback = "outcome"
   group-bonus = "10"
>
<test points = "0" comment = "Максимальный тест, n = 11, k = 4" />
<test points = "0" comment = "Тест, в котором задано одно число, n = 11, k = 1" />
<test points = "0" comment = "Случайный тест, n = 11, k = 3" />
<test points = "0" comment = "Случайный тест, n = 11, k = 4" />
<test points = "0" comment = "Случайный тест, n = 11, k = 5" />
<test points = "0" comment = "Случайный тест, n = 11, k = 8" />
 </test-group>
<test-group
   comment = "Подзадача 4. n = 12"
   score = "group"
   feedback = "outcome"
   group-bonus = "10"
>
<test points = "0" comment = "Максимальный тест, n = 12, k = 4" />
<test points = "0" comment = "Тест, в котором задана вся перестановка, n = 12, k = 12" />
<test points = "0" comment = "Случайный тест, n = 12, k = 3" />
<test points = "0" comment = "Случайный тест, n = 12, k = 4" />
<test points = "0" comment = "Случайный тест, n = 12, k = 5" />
<test points = "0" comment = "Случайный тест, n = 12, k = 10" />
 </test-group>
<test-group
   comment = "Подзадача 5. n = 13"
   score = "group"
   feedback = "outcome"
   group-bonus = "10"
>
<test points = "0" comment = "Максимальный тест, n = 13, k = 4" />
<test points = "0" comment = "Тест, в котором задано одно число, n = 13, k = 1" />
<test points = "0" comment = "Случайный тест, n = 13, k = 3" />
<test points = "0" comment = "Случайный тест, n = 13, k = 4" />
<test points = "0" comment = "Случайный тест, n = 13, k = 5" />
<test points = "0" comment = "Случайный тест, n = 13, k = 10" />
 </test-group>
<test-group
   comment = "Подзадача 6. n = 14"
   score = "group"
   feedback = "outcome"
   group-bonus = "10"
>
<test points = "0" comment = "Максимальный тест, n = 14, k = 4" />
<test points = "0" comment = "Тест с отрезком, n = 14, k = 4" />
<test points = "0" comment = "Тест, в котором задана вся перестановка, n = 14, k = 14" />
<test points = "0" comment = "Случайный тест, n = 14, k = 3" />
<test points = "0" comment = "Случайный тест, n = 14, k = 4" />
<test points = "0" comment = "Случайный тест, n = 14, k = 5" />
<test points = "0" comment = "Случайный тест, n = 14, k = 7" />
<test points = "0" comment = "Случайный тест, n = 14, k = 11" />
 </test-group>
<test-group
   comment = "Подзадача 7. n = 15"
   score = "group"
   feedback = "outcome"
   group-bonus = "10"
>
<test points = "0" comment = "Максимальный тест, n = 15, k = 4" />
<test points = "0" comment = "Тест с отрезком, n = 15, k = 4" />
<test points = "0" comment = "Тест, в котором задано одно число, n = 15, k = 1" />
<test points = "0" comment = "Случайный тест, n = 15, k = 3" />
<test points = "0" comment = "Случайный тест, n = 15, k = 4" />
<test points = "0" comment = "Случайный тест, n = 15, k = 5" />
<test points = "0" comment = "Случайный тест, n = 15, k = 7" />
<test points = "0" comment = "Случайный тест, n = 15, k = 13" />
 </test-group>
            
            
            </testset>

            <verifier type="%testlib">
                <binary executable-id ="x86.exe.win32" file ="check.exe" />
            </verifier>
        </script>
    </judging>
</problem>
